Skip to main content
Returns observed combo markets. Each market includes its combo condition, status, activity counters, volume, and a legs array when leg metadata is available.

Request

GET /v3/combos/markets

Query parameters

ParameterTypeDefaultDescription
market_idstringAlias for condition_id
condition_idstringCombo condition ID
statusstringobserved, open, closed, resolved, resolved_win, resolved_loss, redeemable, redeemed, or all
limitinteger100Results per page, max 300
offsetinteger0Pagination offset

Example

curl "https://api.polynode.dev/v3/combos/markets?limit=2"
{
  "markets": [
    {
      "combo_condition_id": "0x03c58e66825a6501dfffbf7dd0e802c3470000000000000000000000000000",
      "module_name": "CombinatorialModule",
      "status": "observed",
      "observed_execution_count": 10,
      "observed_lifecycle_count": 16,
      "observed_transfer_count": 32,
      "volume_usdc": "427.01",
      "last_activity_at": "2026-06-11T02:07:18+00:00",
      "legs": [
        {
          "leg_index": 0,
          "leg_position_id": "770259566746216134461634134886555299946416955842760322422283095048103919616",
          "leg_status": "OPEN",
          "market_slug": "fifwc-gha-pan-2026-06-17-spread-away-1pt5",
          "market_title": "Panama (-1.5)",
          "event_title": "Ghana vs. Panama - More Markets",
          "leg_current_price": "0.0000"
        }
      ]
    }
  ],
  "rows_returned": 2,
  "has_more": true,
  "position_type": "combo",
  "source": "v3.combos.markets",
  "elapsed_ms": 148
}

Response fields

FieldTypeDescription
combo_condition_idstringCombo condition ID
module_namestringCombo module name, usually CombinatorialModule
statusstringObserved lifecycle status
observed_execution_countintegerObserved combo execution count
observed_lifecycle_countintegerObserved split/merge/lifecycle count
observed_redeem_countintegerObserved combo redemption count
observed_transfer_countintegerObserved combo position transfer count
volume_usdcstringObserved combo volume formatted in USDC
last_activity_atstringLast observed combo activity timestamp
legsarrayMarket legs that define the combo
Resolved leg metadata is refreshed from Polymarket combo metadata when available. Leg rows can include leg_status values such as RESOLVED_WIN or RESOLVED_LOSS, leg_resolved_at, and leg_current_price.